org.eclnt.workplace

## Class WorkplacePerspectiveManager.PerspectiveGridItem

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.workplace.WorkplacePerspectiveManager.PerspectiveGridItem

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem
  Enclosing class:
    WorkplacePerspectiveManager

      public class WorkplacePerspectiveManager.PerspectiveGridItem
      extends FIXGRIDItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerspectiveGridItem(java.lang.String perspectiveName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPerspectiveName()`
    `void` | `onRemove(ActionEvent event)`
    `void` | `onRowSelect()` Reaction on row selections in the client.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowExecute, onRowPopupMenuItem, onRowPopupMenuLoad, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerspectiveGridItem

          public PerspectiveGridItem(java.lang.String perspectiveName)

  - ### Method Detail

    - #### getPerspectiveName

          public java.lang.String getPerspectiveName()

    - #### onRowSelect

          public void onRowSelect()

      Description copied from class: `FIXGRIDItem`
      Reaction on row selections in the client. Override this method for specific reactions.
      Specified by:
        `onRowSelect` in interface `IFIXGRIDItem`
      Overrides:
        `onRowSelect` in class `FIXGRIDItem`

    - #### onRemove

          public void onRemove(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.